Index: makefile.in
===================================================================
RCS file: /cvsroot/squid/squid/makefile.in,v
retrieving revision 1.1.1.3.10.3.2.3
diff -u -r1.1.1.3.10.3.2.3 makefile.in
--- makefile.in	2001/01/07 14:52:20	1.1.1.3.10.3.2.3
+++ makefile.in	2001/01/08 00:38:29
@@ -14,7 +14,7 @@
 prefix		= @prefix@
 exec_prefix	= @exec_prefix@
 
-SUBDIRS		= lib @makesnmplib@ scripts src icons errors auth_modules
+SUBDIRS		= lib @makesnmplib@ scripts src icons errors 
 
 noargs: all
 
Index: src/auth/ntlm/auth_ntlm.c
===================================================================
RCS file: /cvsroot/squid/squid/src/auth/ntlm/auth_ntlm.c,v
retrieving revision 1.1.2.20
diff -u -r1.1.2.20 auth_ntlm.c
--- src/auth/ntlm/auth_ntlm.c	2001/01/07 20:43:02	1.1.2.20
+++ src/auth/ntlm/auth_ntlm.c	2001/01/08 00:38:48
@@ -235,10 +235,11 @@
 int
 authenticateNTLMActive()
 {
-    if (authntlm_initialised)
-	return 1;
-    else
-	return 0;
+    if ((ntlmConfig != NULL) && (ntlmConfig->authenticate != NULL) &&
+        (ntlmConfig->authenticateChildren != 0) && (ntlmConfig->challengeuses > -1) 
+        && (ntlmConfig->challengelifetime>-1))
+        return 1;
+    return 0;
 }
 
 /* NTLM Scheme */
